Bug 1303999 - [abrt] atril: gtk_widget_get_parent(): atril killed by SIGSEGV
[abrt] atril: gtk_widget_get_parent(): atril killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: atril (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c9d7b15d11e1da8f5cab7050c2c...
: Reopened
: 1324444 1330202 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 11:28 EST by Peter Gervase
Modified: 2016-05-30 00:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: atril-1.14.1-1.fc24 atril-1.12.2-4.fc23 atril-1.12.2-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-23 16:02:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.91 KB, text/plain)
2016-02-02 11:28 EST, Peter Gervase
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-02 11:28 EST, Peter Gervase
no flags Details
File: core_backtrace (5.67 KB, text/plain)
2016-02-02 11:28 EST, Peter Gervase
no flags Details
File: dso_list (11.93 KB, text/plain)
2016-02-02 11:28 EST, Peter Gervase
no flags Details
File: environ (2.58 KB, text/plain)
2016-02-02 11:28 EST, Peter Gervase
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-02 11:28 EST, Peter Gervase
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-02 11:28 EST, Peter Gervase
no flags Details
File: maps (65.39 KB, text/plain)
2016-02-02 11:28 EST, Peter Gervase
no flags Details
File: mountinfo (3.77 KB, text/plain)
2016-02-02 11:28 EST, Peter Gervase
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-02 11:28 EST, Peter Gervase
no flags Details
File: open_fds (1.70 KB, text/plain)
2016-02-02 11:28 EST, Peter Gervase
no flags Details
File: proc_pid_status (1.17 KB, text/plain)
2016-02-02 11:28 EST, Peter Gervase
no flags Details
File: var_log_messages (309 bytes, text/plain)
2016-02-02 11:28 EST, Peter Gervase
no flags Details

  None (edit)
Description Peter Gervase 2016-02-02 11:28:16 EST
Description of problem:
I downloaded a pdf from a website and I viewed it. I closed the pdf, did a few little things for a couple of minutes, then hit the down arrow in Firefox for recent downloads. I clicked the pdf there to view it again and this is when the pdf viewer crashed.

Version-Release number of selected component:
atril-1.12.2-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        atril /tmp/mozilla_pgervase0/statement.pdf
crash_function: gtk_widget_get_parent
executable:     /usr/bin/atril
global_pid:     25362
kernel:         4.5.0-0.rc0.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_get_parent at gtkwidget.c:6483
 #1 ev_window_set_document at ev-window.c:1583
 #2 ev_window_document_changed_cb at ev-window.c:4858
 #8 g_object_notify_by_spec_internal at gobject.c:1155
 #9 g_object_notify at gobject.c:1203
 #10 ev_document_model_set_document at ev-document-model.c:306
 #11 ev_window_reload_job_cb at ev-window.c:1832
 #12 _g_closure_invoke_va at gclosure.c:867
 #15 emit_finished at ev-jobs.c:193
 #20 gtk_main at gtkmain.c:1268

Potential duplicate: bug 1164560
Comment 1 Peter Gervase 2016-02-02 11:28:20 EST
Created attachment 1120498 [details]
File: backtrace
Comment 2 Peter Gervase 2016-02-02 11:28:21 EST
Created attachment 1120499 [details]
File: cgroup
Comment 3 Peter Gervase 2016-02-02 11:28:22 EST
Created attachment 1120500 [details]
File: core_backtrace
Comment 4 Peter Gervase 2016-02-02 11:28:24 EST
Created attachment 1120501 [details]
File: dso_list
Comment 5 Peter Gervase 2016-02-02 11:28:25 EST
Created attachment 1120502 [details]
File: environ
Comment 6 Peter Gervase 2016-02-02 11:28:26 EST
Created attachment 1120503 [details]
File: exploitable
Comment 7 Peter Gervase 2016-02-02 11:28:27 EST
Created attachment 1120504 [details]
File: limits
Comment 8 Peter Gervase 2016-02-02 11:28:29 EST
Created attachment 1120505 [details]
File: maps
Comment 9 Peter Gervase 2016-02-02 11:28:30 EST
Created attachment 1120506 [details]
File: mountinfo
Comment 10 Peter Gervase 2016-02-02 11:28:31 EST
Created attachment 1120507 [details]
File: namespaces
Comment 11 Peter Gervase 2016-02-02 11:28:32 EST
Created attachment 1120508 [details]
File: open_fds
Comment 12 Peter Gervase 2016-02-02 11:28:33 EST
Created attachment 1120509 [details]
File: proc_pid_status
Comment 13 Peter Gervase 2016-02-02 11:28:34 EST
Created attachment 1120510 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-02-24 09:23:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Saurabh Pradhan 2016-04-06 06:51:03 EDT
*** Bug 1324444 has been marked as a duplicate of this bug. ***
Comment 16 Wolfgang Ulbrich 2016-04-06 09:23:38 EDT
firefox is complete buggy in f24.
Comment 17 Wolfgang Ulbrich 2016-04-26 07:50:09 EDT
*** Bug 1330202 has been marked as a duplicate of this bug. ***
Comment 18 Fedora Update System 2016-04-26 11:45:00 EDT
atril-1.12.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a1983fd06
Comment 19 Fedora Update System 2016-04-26 11:45:07 EDT
atril-1.14.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-de908e23c1
Comment 20 Fedora Update System 2016-04-26 11:45:12 EDT
atril-1.12.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe09f22c86
Comment 21 Fedora Update System 2016-04-26 11:45:17 EDT
atril-1.12.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0591f226a5
Comment 22 Wolfgang Ulbrich 2016-04-26 11:49:04 EDT
Please test, the update should fix the issue.
Comment 23 Fedora Update System 2016-04-26 21:18:52 EDT
atril-1.12.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0591f226a5
Comment 24 Fedora Update System 2016-04-26 21:20:39 EDT
atril-1.12.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a1983fd06
Comment 25 Fedora Update System 2016-04-26 21:21:15 EDT
atril-1.12.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe09f22c86
Comment 26 Fedora Update System 2016-04-27 13:51:23 EDT
atril-1.14.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-de908e23c1
Comment 27 Fedora Update System 2016-05-04 14:52:43 EDT
atril-1.12.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2016-05-04 21:22:14 EDT
atril-1.12.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2016-05-07 07:50:56 EDT
atril-1.14.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Wolfgang Ulbrich 2016-05-09 18:13:09 EDT
re-opened, fix cause a regression, see https://bugzilla.redhat.com/show_bug.cgi?id=1333811
Comment 31 Wolfgang Ulbrich 2016-05-15 10:08:50 EDT
New attempt from upstream to fix this issue.
https://github.com/mate-desktop/atril/pull/201
Can you please test new scratch builds at koji for f24 and f23?
Reloading a document don't crash atril here.
f24:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14084229
f23:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14084252
Comment 32 alexander.heike 2016-05-15 19:04:33 EDT
With 1.12.2-2.fc22, I cannot reproduce this problem. Anyhow, also did not happen again with an older version after restarting the system.

Kind regards,
Alexander

(In reply to Wolfgang Ulbrich from comment #31)
> New attempt from upstream to fix this issue.
> https://github.com/mate-desktop/atril/pull/201
> Can you please test new scratch builds at koji for f24 and f23?
> Reloading a document don't crash atril here.
> f24:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=14084229
> f23:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=14084252
Comment 33 Peter Gervase 2016-05-15 20:26:29 EDT
Like Alexander, I haven't had this issue since and I also didn't have this issue too much before. I don't recall it more than just the one time, possibly one other but unlikely. I'm using
atril-1.14.0-3.fc25.x86_64


Thanks
Peter
Comment 34 Wolfgang Ulbrich 2016-05-15 21:03:31 EDT
I'm still wondering that my english is so bad ;)
Again,
Can you please test new scratch builds at koji for f24 and f23?
Reloading a document don't crash atril here.
f24:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14084229
f23:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14084252
Comment 35 Saurabh Pradhan 2016-05-16 07:27:22 EDT
I cant reproduce it with
atril-1.14.0-3.fc25.x86_64  . 
Seems it is fixed.
Comment 36 Wolfgang Ulbrich 2016-05-16 07:35:04 EDT
The question was more to test
atril-1.14.0-4.fc24
atril-1.12.2-4.fc23

Please follow the links to koji page and download/install those version by hand.
Thank you

@Alexander
i can also do a scratch build for f22 if you don't use f23
Comment 37 Saurabh Pradhan 2016-05-16 08:15:14 EDT
I installed atril-1.14.0-4.fc24 manually and followed the procedure. 
--
I downloaded a pdf from a website and I viewed it. I closed the pdf, did a few little things for a couple of minutes, then hit the down arrow in Firefox for recent downloads. I clicked the pdf there to view it again.
--
Atril opened the pdf perfectly without any problem. 
I have also installed and tested atril-1.12.2-4.fc23 . There is no problem with this one also.
Comment 38 alexander.heike 2016-05-16 08:49:48 EDT
(In reply to Wolfgang Ulbrich from comment #36)
> The question was more to test
> atril-1.14.0-4.fc24
> atril-1.12.2-4.fc23
> 
> Please follow the links to koji page and download/install those version by
> hand.
> Thank you
> 
> @Alexander
> i can also do a scratch build for f22 if you don't use f23

Thanks, but I have another machine with f23 - not sure anymore if I encoutered this bug with f22 or f23.
I installed the scratch-build 1.12.2-4.fc23 and could not reproduce the problem.
Comment 39 Fedora Update System 2016-05-21 10:53:15 EDT
atril-1.14.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c137483f5f
Comment 40 Fedora Update System 2016-05-21 10:57:20 EDT
atril-1.12.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-815bbfa185
Comment 41 Fedora Update System 2016-05-21 10:57:25 EDT
atril-1.12.2-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-621ab03be2
Comment 42 Fedora Update System 2016-05-21 23:50:08 EDT
atril-1.12.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-815bbfa185
Comment 43 Fedora Update System 2016-05-21 23:50:45 EDT
atril-1.12.2-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-621ab03be2
Comment 44 Fedora Update System 2016-05-21 23:55:35 EDT
atril-1.14.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c137483f5f
Comment 45 Fedora Update System 2016-05-23 16:02:00 EDT
atril-1.14.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 46 Fedora Update System 2016-05-29 18:21:51 EDT
atril-1.12.2-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 47 Fedora Update System 2016-05-30 00:21:57 EDT
atril-1.12.2-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.